@Manicbalawrote:
Hi,
I need to change all the dimensions in my drawing to specific layer (Ex: DIMS).
Please advise any shortcuts/lisp to change at one time.
Thanks,
The code below may help straightforwardly while other offers here also work.
SD is the command you need to enter since your target dimension layer is "DIMS".
(defun c:SD (/ SelectDim)
(setq SelectDim (ssget "X" '((0 . "DIMENSION"))))
(command "._Chprop" SelectDim "" "Layer" "DIMS" "")
(princ)
); end of defun
HTH
Please mark "Accept as Solution" and "Like" if my reply resolves the issue and it will help when others need helps.
= ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ =
A circle is the locus of a cursor, starting and ending at the same point on a plane in model space or in layout such that its distance from a given coordinates (X,Y) is always constant.
X² + Y² = C²